# This file is a template, and might need editing before it works on your project.
# see https://docs.gitlab.com/ce/ci/yaml/README.html for all available options

# you can delete this line if you're not using Docker
image: busybox:latest

stages:
  - phase1
  - phase2
  
uat_p1:
  stage: phase1
  script:
    - echo "PHASE 1"
    - echo "PHASE 1.1"
  tags:
  - docker
  only:
  - dev
  - schedules
  - web
  except:
  - master
  - pushes

uat_p2:
  stage: phase2
  script:
    - echo "PHASE 2"
  tags:
  - docker
  only:
  - dev
  - schedules
  - web
  except:
  - master
  - pushes

prod_p1:
  stage: phase1
  script:
    - echo "PHASE 1"
    - echo "PHASE 1.1"
  tags:
  - docker
  only:
  - master

prod_p2:
  stage: phase2
  script:
    - echo "PHASE 2"
  tags:
  - docker
  only:
  - master
